#pragma once

#include <counter_session/capability.h>
#include <base/rpc_client.h>

namespace Counter { struct Session_client; }


struct Counter::Session_client : Genode::Rpc_client<Session>
{
	explicit Session_client(Session_capability session)
	: Genode::Rpc_client<Session>(session) { }

	Counter_type increment() override
	{
		return call<Rpc_increment>();
	}

	Counter_type get() const override
	{
		return call<Rpc_get>();
	}

	Id id() const override
	{
		return call<Rpc_id>();
	}
};

